Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.DynamicAny
Class AnySeqHelper

    java.lang.Object
      org.omg.DynamicAny.AnySeqHelper

public abstract class AnySeqHelper
extends Object

org/omg/DynamicAny/AnySeqHelper.java . Generated by the IDL-to-Java compiler (portable), version "3.1" from ../../../../src/share/classes/org/omg/DynamicAny/DynamicAny.idl Thursday, June 12, 2003 9:59:26 PM GMT-08:00

Constructor Summary
`AnySeqHelper()`

Method Summary
`static Any[]` | `extract(Any a)`
`static String` | `id()`
`static void` | `insert(Any a, Any[] that)`
`static Any[]` | `read(InputStream istream)`
`static TypeCode` | `type()`
`static void` | `write(OutputStream ostream, Any[] value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnySeqHelper

    public AnySeqHelper()

Method Detail

### insert

    public static void insert(Any a,
                              Any[] that)

### extract

    public static Any[] extract(Any a)

### type

    public static TypeCode type()

### id

    public static String id()

### read

    public static Any[] read(InputStream istream)

### write

    public static void write(OutputStream ostream,
                             Any[] value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2003 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.